Page MenuHomeVyOS Platform

Guided setup during installation
Closed, WontfixPublicFEATURE REQUEST

Description

For a while now, I've been using some hacked together scripts to run a guided configuration during installation.

I've cleaned it up a bit and packaged it up:

https://github.com/vyos/vyatta-cfg-system/compare/current...kroy-the-rabbit:guided-installer

This makes it super easy to get a basic config in place for interfaces/firewall/DHCP. It could potentially be a boon to a new user as they can just answer a few simple questions and have a working install going.


The current issues:

  • Presumably because of the way the live CD works, it's impossible to activate a DHCP server. Which results in this error:

  • This currently just builds a script to run, rather than using the python API. It could also probably better tie into the various pieces of the VyOS architecture, especially around some of the validation bits. This will easily implode by entering bad stuff for the interface description/firewall names.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Related Objects

StatusSubtypeAssignedTask
Opendmbaturin
WontfixFEATURE REQUESTNone

Event Timeline

kroy created this task.Dec 5 2018, 8:43 PM
syncer triaged this task as Normal priority.Dec 6 2018, 12:00 AM
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
pasik added a subscriber: pasik.Mar 12 2019, 6:07 PM
dmbaturin closed this task as Wontfix.Oct 3 2020, 5:29 PM
dmbaturin set Is it a breaking change? to Perfectly compatible.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Mon, Nov 23, 5:19 PM